Bug 131808 - gdmsetup doesn't work after ssh root@locahost
gdmsetup doesn't work after ssh root@locahost
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-04 20:24 EDT by Emmanuel Seyman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-18 23:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2004-09-04 20:24:05 EDT
Description of problem:
After running ssh root@localhost, running the command gdmsetup fails with:

(gdmsetup:4638): Gtk-WARNING **: cannot open display:

running "xhost + localhost" and "export DISPLAY=LOCALHOST:0.0" fails
to solve the problem.

It works on FC 1 and 2

Version-Release number of selected component (if applicable):
2.6.0.3-5

How reproducible:
always

Steps to Reproduce:
1. ssh root@localhost
2. gdmsetup

  
Actual results:

prints out:
 
(gdmsetup:4638): Gtk-WARNING **: cannot open display:

Expected results:
gdmsetup UI should pop up
Comment 1 Bill Nottingham 2004-09-06 23:31:19 EDT
Did you pass -Y to ssh?
Comment 2 Emmanuel Seyman 2004-09-12 16:03:09 EDT
Nope. Adding the -Y option solves the problem.

Note You need to log in before you can comment on or make changes to this bug.